Maplesoft Product System Requirements ­ Maplesoft
   
  Products
  Maple
MapleSim
Testing & Assessment
MapleNet
Toolboxes & Connectors
E-Books & Study Guides
Professional Services

  How To Proceed
  Maplesoft Web Store
Request a Quote
Contact Sales

  Featured
  MaplePrimes
Maple Application Center
Product Demonstrations
Product Information Sheets
Maplesoft Blog
User Testimonials
User Stories
Maple Books
Media Center

  Stay Informed
  Subscribe to the Maple Reporter
Become a Member
RSS Feeds


    Home : Products : System Requirements
System Requirements


Maple 18 System Requirements
The following system requirements are for all versions of Maple 18. Please note that the Student Edition is available for Windows, Macintosh, and Linux. See International Language Support for information on international versions and language packs for Maple.

Windows® (32-bit)
  • DVD-ROM drive (for DVD installation).
  • 16-bit color at 1024 by 768 (or greater) resolution recommended.
  • Internal TCP/IP connections enabled.
  • System performance may be affected if running below the recommended memory requirement.
Windows (64-bit)
  • DVD-ROM drive (for DVD installation).
  • 16-bit color at 1024 by 768 (or greater) resolution recommended.
  • Internal TCP/IP connections enabled.
  • System performance may be affected if running below the recommended memory requirement.
  • Classic Worksheet is not available on 64-bit Windows.
32 bit Linux® System Requirements
2 GB
2 GB
  • DVD-ROM drive (for DVD installation).
  • 16-bit color at 1024 by 768 (or greater) resolution recommended.
  • X11 R6
  • Internal TCP/IP connections enabled.
  • System performance may be affected if running below the recommended memory requirement.
64 bit Linux® System Requirements
  • DVD-ROM drive (for DVD installation).
  • 16-bit color at 1024 by 768 (or greater) resolution recommended.
  • X11 R6
  • Internal TCP/IP connections enabled.
  • System performance may be affected if running below the recommended memory requirement.
  • Classic Worksheet is not available on 64-bit Linux.
Macintosh®
  • Java™ Runtime Environment 1.6 installed.
  • DVD-ROM drive (for DVD installation).
  • 16-bit color at 1024 by 768 (or greater) resolution recommended.
  • Internal TCP/IP connections enabled.
  • Classic Worksheet is not available on this platform.
  • System performance may be affected if running below the recommended memory requirement.

Connectivity Feature Requirements
Maple has built-in connectivity features with various other software tools. The following table lists which versions of those products are compatible with Maple 18. It is not necessary to have these products to use Maple. These requirements are only for those wishing to take advantage of the connectivity features.


Web Browser Requirements

The following components are required to view 2-D math when exporting to HTML with the MapleViewer:

  • Web browser with Java runtime environment version 1.6.0_18 or later.

Back to top


Maple Add-ons - System Requirements
A licensed copy of Maple 18, running on a computer that meets the Maple system requirements, is required for all toolboxes and e-books. Additional requirements and platform availability are given below.

If you do not have Maple, it can be purchased at the Maplesoft Web Store. If you own a prior version of Maple, please use our upgrade form to upgrade your copy to the latest version. Alternatively, you can also contact Maplesoft sales.


  • * MATLAB® R2012b with Simulink® Version 8.0
       MATLAB® R2013a with Simulink® Version 8.1
       MATLAB® R2013b with Simulink® Version 8.2

Back to top


MapleSim - System Requirements
A licensed copy of Maple 18, running on a computer that meets the Maple 18 system requirements, is required for MapleSim. MapleSim is available for the platforms listed below. Follow the links to see the full system requirements for each platform.

Back to top


MapleSim Add-ons – System Requirements
Licensed copies of MapleSim and Maple, running on a computer that meets the Maple and MapleSim system requirements, are required for MapleSim toolboxes. Additional requirements are given below.

To connect to LabVIEW:
LabVIEW & LabVIEW Control Design and Simulation Module (2011 or 2012)

To connect to NI VeriStand:
NI VeriStand and LabVIEW Simulation Interface Toolkit (2011 or 2012)

Also requires Microsoft Visual Studio (2010, 2012, or 2013)
Requires Control Desk*, DS1104 R&D Controller Board and dSPACE RCP & HIL Software Release 7.4

* not compatible with ControlDesk Next Generation

Requires B&R Automation Studio V3.0.90 or V4.0
Requires VI-CarRealTime 14.0, 14.1, or 15.0

Also requires Microsoft Visual Studio (2010, 2012, or 2013)
Requires JMAG-Designer version12.0

Also requires Microsoft Visual Studio (2010, 2012, or 2013)

Exports to:
•  FMI 2.0 Model Exchange and Co-Simulation
(fixed-step slave)
•  FMI 2.0 RC1 Co-simulation
(fixed-step slave)
•  FMI 1.0 Model Exchange and Co-Simulation
(fixed-step slave)
Also requires Microsoft Visual Studio (2010, 2012, or 2013)
 
 
 

Back to top


Maple T.A. and Maple T.A. MAA Placement Test Suite Server Requirements
To run Maple T.A. 10 or the Maple T.A. MAA Placement Test Suite on your own server, you require Oracle Java 6 or 7, Tomcat 6.0 or 7.0, and PostgreSQL 9.3.

To run as a server you must have a fixed domain name and full-time connection to the Internet. 1 MB/sec or better connection is required. For best performance, 100 MB/sec or better is recommended.

For those wishing to take advantage of the Moodle integration feature, Moodle 2.5 or higher is required.


*Recommended requirements are for concurrent usage of up to 600 tests peak or general enrolment of up to 3000 students.


Maple T.A. and Maple T.A. MAA Placement Test Suite Client Requirements


*For Students: Instructors may require that students take a test in the Maple T.A. Proctored Browser Mode. The Proctored Browser Mode is available with Google Chrome and Firefox only.

Internet Access
Broadband - Cable Modem or DSL - Internet connection is recommended for optimal performance.

  • JavaScript™ and cookies must be enabled


Maple T.A. Add-ons - System Requirements
The Maple T.A. Connector for Blackboard® Software requires a licensed copy of Maple T.A. 9.5, either as a stand-alone product or as part of the Placement Test Suite, and one of the following Blackboard Software platforms:

  • Blackboard Learn (Release 9.0, 9.1)

Back to top


MapleNet - System Requirements

MapleNet Server

  • Maple 18 installed on any compatible Windows, Linux, or Macintosh server grade system, 2GB memory quad core minimum recommended.
  • MapleNet Server components consume approximately 30 MB of memory while running, plus at least 3 MB per connection--the connections are of short duration and are not persistent
  • Installation requires approximately 110 MB disk space
  • Web server software that supports v2.3 servlets and JSP, such as Apache Tomcat 6.0 or later
  • Java SDK 1.6.0_10 or later


MapleNet Publisher

A publisher machine is responsible for creating and editing the content of web pages and uploading them to the server. Note that a single machine can be both server and publisher.

  • Maple 18 installed on any Maple-18 compatible system
  • Java SDK 1.6.0 or later
  • Java JRE 1.6.0_10 or later, including browser plug-in
  • File transfer software, such as FTP or SCP, for copying files to the server
  • Installation requires approximately 20 MB disk space
  • Recommended - A Java development environment, such as Eclipse, JBuilder™, or NetBeans™, if developing Java applets
  • Recommended - A web page development environment, such as Dreamweaver®


MapleNet Client
The MapleNet Client requirements are the same as the Maple T.A. Client Requirements.

Back to top